Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.common.extension
Class AbstractSyncExtensionOperation

    java.lang.Object
      org.apache.ode.bpel.rtrep.common.extension.AbstractSyncExtensionOperation

All Implemented Interfaces:
  ExtensionOperation

    public abstract class AbstractSyncExtensionOperation

extends java.lang.Object
implements ExtensionOperation

Base class for creating new extension implementations.

Constructor Summary
`AbstractSyncExtensionOperation()`

Method Summary
`void` | `run(java.lang.Object contexto, org.w3c.dom.Element element)` Provides the runtime implementation.
`protected abstract void` | `runSync(ExtensionContext context, org.w3c.dom.Element element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSyncExtensionOperation

    public AbstractSyncExtensionOperation()

Method Detail

### runSync

    protected abstract void runSync(ExtensionContext context,
                                    org.w3c.dom.Element element)
                             throws FaultException

  Throws:
    `FaultException`

### run

    public void run(java.lang.Object contexto,
                    org.w3c.dom.Element element)
             throws FaultException

  Description copied from interface: `ExtensionOperation`
  Provides the runtime implementation. Note: This method MAY run concurrently. Since Xerces' DOM implementation is not thread-safe, please make sure to synchronize the access to `element` if necessary.

  Specified by:
    `run` in interface `ExtensionOperation`
  Parameters:
    `contexto` - injected ExtensionContext
    `element` - the extension element (child of `extensionActivity` or `extensionAssignOperation`
  Throws:
    `FaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD